Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#46856 - [grub] xfs v5 filesystem support

Attached to Project: Arch Linux
Opened by Michael Oczak (dsoul) - Saturday, 24 October 2015, 13:52 GMT
Last edited by Christian Hesse (eworm) - Monday, 01 August 2016, 21:23 GMT
Task Type Feature Request
Category Packages: Core
Status Closed
Assigned To Ronald van Haren (pressh)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 3
Private No

Details

Description:
Grub does not support booting from xfs v5 filesystem
Here is the SUSE patch
https://lists.gnu.org/archive/html/grub-devel/2014-07/msg00037.html

Additional info:
grub 1:2.02.beta2-5


Steps to reproduce:
Try to boot when grub is on xfs v5 filesystem, mkfs.xfs -m crc=1
This task depends upon

Closed by  Christian Hesse (eworm)
Monday, 01 August 2016, 21:23 GMT
Reason for closing:  Upstream
Additional comments about closing:  grub 1:2.02.beta3-1
Comment by Keit Albame (keitalbame) - Friday, 12 February 2016, 16:17 GMT
Even with mkfs.xfs -m crc=0 ... it won't boot.

With grub 1:2.02.beta2-6
Comment by Dominique Martinet (asmadeus) - Friday, 15 April 2016, 14:38 GMT
grub 2.02.beta3 is out upstream (28 Feb) and should have xfs v5 filesystem support.

I'm not quite sure how to suggest/offer whatever would be needed to update the package, but would be more than happy to try an update!
Comment by Dominique Martinet (asmadeus) - Saturday, 16 April 2016, 11:24 GMT
I still have no idea where to appropriately post this but I see Ronald van Haren is a maintainer and will hopefully get a mail on comment ;)

I've rebuilt after updating and can confirm it works for xfs v5 with crc=1 on legacy bios i386. I guess the patch itself isn't what requires work, but I'm posting it below. Please note I added a few makedepends because well they are required, even if common enough; but I started from a base system so figured I might as well write it down ;)
(also bumped extras while I was at it, there's no release so just picked top, the three commits difference are mainly fixes I figure we would want)
I've left all the patches we have without checking wether they got made redundant because they still cleanly applied.

diff --git a/grub/trunk/PKGBUILD b/grub/trunk/PKGBUILD
index 8ba47a3..f4628c6 100644
--- a/grub/trunk/PKGBUILD
+++ b/grub/trunk/PKGBUILD
@@ -9,8 +9,8 @@ _IA32_EFI_IN_ARCH_X64="1"
_GRUB_EMU_BUILD="0"

_pkgver="2.02"
-_GRUB_GIT_TAG="grub-2.02-beta2"
-_GRUB_EXTRAS_COMMIT=4a56e2c2cc3d78f12f1788c27669a651071dee49
+_GRUB_GIT_TAG="grub-2.02-beta3"
+_GRUB_EXTRAS_COMMIT=f2a079441939eee7251bf141986cdd78946e1d20

_UNIFONT_VER="6.3.20131217"

@@ -22,8 +22,8 @@ _UNIFONT_VER="6.3.20131217"

pkgname="grub"
pkgdesc="GNU GRand Unified Bootloader (2)"
-pkgver=2.02.beta2
-pkgrel=6
+pkgver=2.02.beta3
+pkgrel=1
epoch=1
url="https://www.gnu.org/software/grub/"
arch=('x86_64' 'i686')
@@ -37,7 +37,8 @@ replaces=('grub-common' 'grub-bios' 'grub-emu' "grub-efi-${_EFI_ARCH}")
provides=('grub-common' 'grub-bios' 'grub-emu' "grub-efi-${_EFI_ARCH}")

makedepends=('git' 'rsync' 'xz' 'freetype2' 'ttf-dejavu' 'python' 'autogen'
- 'texinfo' 'help2man' 'gettext' 'device-mapper' 'fuse')
+ 'texinfo' 'help2man' 'gettext' 'device-mapper' 'fuse' 'bison'
+ 'flex' 'patch' 'fakeroot')
depends=('sh' 'xz' 'gettext' 'device-mapper')
optdepends=('freetype2: For grub-mkfont usage'
'fuse: For grub-mount usage'
Comment by Sebastian Schwarz (seschwar) - Sunday, 17 July 2016, 20:10 GMT
I patched GRUB's PKGBUILD with asmadeus' patch to try 2.02.beta3 for booting off a ZFS pool with all features enabled and it works perfectly. It would be great to have 2.02.beta3 in [core].

Loading...